﻿@font-face {
    font-family: 'Digital-7';
    src: url('/assets/fonts/Technology.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

.acc-box {
    border-radius: 20px;
    border: solid 1px #737373;
    position:relative;
}

.acc-box .top-line {
    top: 2px;
    left: 0px;
}

.acc-box .bottom-line {
    bottom: 2px;
    left: 0px;
}

.acc-box .left-line {
    top: 45%;
    left: calc(5px - 50%);
    transform: rotate(90deg);
}

.acc-box .right-line {
    top: 45%;
    right: calc(5px - 50%);
    transform: rotate(-90deg);
}
.acc-box .top-line, .acc-box .bottom-line, .acc-box .left-line, .acc-box .right-line {
    width: 100%;
    height: 10px;
    position: absolute;
    background-image: url('/assets/images/white-line.png');
    background-size: 90% auto;
    background-position: center center;
    background-repeat: no-repeat;
}

.acc-box.wh-line-sm .top-line, .acc-box.wh-line-sm .bottom-line, .acc-box.wh-line-sm .left-line, .acc-box.wh-line-sm .right-line {
    background-size: 70% auto;
}

.acc-box h3 {
    color: var(--black);
    font-family: var(--font-main);
    font-weight: 500;
}

.acc-raw {
    background: linear-gradient(180deg,#000000,#000000,#000000,#000000,#000000,#555555);
}
.acc-std {
    background: linear-gradient(180deg,#0cff00,#000000);
}
.acc-pro {
    background: linear-gradient(180deg,#fdd5ab,#762920);
}
.acc-inst {
    background: linear-gradient(180deg,#ffa563,#ff6d2e,#a61d08);
}
.acc-cent {
    background: linear-gradient(180deg,#000000,#ffffff,#ffffff);
}
.acc-plus {
    background: linear-gradient(90deg,#1800ad,#000000,#000000,#000000);
}

.wh-lgt {
    width: 40%;
    z-index: 40;
    position: absolute;
    left: 30%;
    top: 25%;
    opacity: 0;
    transition: opacity 2.0s ease-in-out;
}

.acc-container.acc-visible .wh-lgt {
    opacity: 1;
}

.acc-box-top {
    position: absolute;
    z-index: 50;
    width: 285px;
    background-color: var(--black);
    border: solid 1px #737373;
    border-radius: 20px;
    padding: 10px;
    opacity: 0;
    transform: translateY(30px) scale(0.9); /* Start slightly low and small */
    transition: opacity 0.5s ease-in-out 1s;
}

.acc-container.acc-visible .acc-box-top {
    opacity: 1;
    transform: translateY(0) scale(1);
}

.acc-box-top h5 {
    color:var(--white);
    font-size:14px;
    font-weight:500;
}

.acc-box-top p {
    color:var(--white);
    font-size:13px;
    font-weight:300;
    margin-bottom:0px;
}

.acc-box-top img {
    width:100%;
}

.acc-mat {
    top: 23%;
    left: 8%;
    box-shadow: 0 0 50px 10px rgba(255,255,255,0.3), 0 0 80px 20px rgba(230, 230, 255, 0.2);
}

.acc-h-fees {
    top: 45%;
    left: calc(50% - 205px);
    z-index: 35;
}

.acc-t-s {
    top: calc(45% + 80px);
    left: calc(50% - 135px);
}

.acc-sky-acc {
    top: 50%;
    left: 65%;
    width: 385px;
    background: linear-gradient(90deg,#000000,#000000,#000000,#000000,#555555);
    border: solid 1px var(--white);
    box-shadow: 0 0 80px 10px rgba(255,255,255,0.3), 0 0 120px 20px rgba(230, 230, 255, 0.2);
    /*box-shadow: 0 0 120px 20px rgba(255,255,255,0.7), 0 0 200px 40px rgba(230, 230, 255, 0.4);*/
}

.acc-h-text h1 {
    background: linear-gradient(90deg, rgb(255, 255, 255) 2.68456%, rgb(255, 255, 255) 89.2617%, rgb(116, 116, 116) 100%);
    background-clip: text;
    -webkit-text-fill-color: transparent;
    text-align: center;
    padding-top: 120px;
    display:inline-block;
}

.acc-snap {
    background: linear-gradient(90deg, rgb(0, 0, 0), rgb(0, 0, 0), rgb(0, 0, 0), rgb(116, 116, 116), rgb(88, 88, 88));
    background-clip: text;
    -webkit-text-fill-color: transparent;
    display:inline-block;
    font-size:42px;
    font-weight:500;
}

.acc-btn {
    background-color: var(--black);
    color: #a6a6a6;
    font-family: var(--font-h);
    font-size: var(--font-sz);
    padding: 5px 30px;
    border-radius: 50rem;
    border:none;
}

.acc-btn.active {
    background-color: var(--green);
    color: var(--black);
}

.acc-type-msg {
    background: linear-gradient(90deg, #000000, #4b4b4b, #000000, #000000);
    color:var(--white);
    padding:10px 20px;
    border-radius:20px;
}

.acc-type-det {
    border-radius: 20px;
    padding:20px 0px;
    justify-content:space-between;
    background-color:var(--black);
    overflow:hidden;
}

.acc-type-det p {
    color:var(--white);
    font-size:18px;
    font-weight:400;
    margin-bottom:0px;
    letter-spacing:-0.761308px
}

.acc-type-det span {
    color:var(--white);
    font-size:14px;
    font-weight:300;
}

.acc-type-det h2 {
    color:var(--white);
    font-family:var(--font-main);
    font-size:65px;
    font-weight:500;
    line-height: 1em;
    margin-bottom: 0px;
}

.acc-type-det h3 {
    color:var(--white);
    font-size:42px;
    font-weight:600;
}

.acc-type-det h4 {
    color:var(--white);
    font-size:27px;
    font-weight:600;
}

.acc-type-det img {
    width:100%;
}

.acc-type-det-name {
    padding:60px 0px;
}

.acc-det-blue-light {
    background: linear-gradient(180deg,#1800ad,#000000,#000000,#000000);
}

.acc-det-white-light {
    background: linear-gradient(180deg,#ffffff,#000000,#000000,#000000);
}

.acc-det-purple-light {
    background: linear-gradient(180deg,#881fff,#000000,#000000,#000000);
}

.acc-det-green-light {
    background: linear-gradient(180deg,#00ff85,#000000,#000000,#000000);
}

.acc-det-red-light {
    background: linear-gradient(180deg,#ff551f,#000000,#000000,#000000);
}

.acc-det-lblue-light {
    background: linear-gradient(180deg,#1fa8ff,#000000,#000000,#000000);
}

.acc-type-det-comm {
    background: linear-gradient(180deg,#000000,#000000,#000000,#000000,#555555);
    padding-bottom: 30px;
}

.acc-type-det-comm img, .acc-type-det-spread img {
    width:50%;
    position:relative;
    right:20px;
}

.acc-type-det-spread {
    background: linear-gradient(180deg,#0cff00,#000000,#000000,#000000,#000000);
    padding-top: 30px;
}

.blue-light {
    position: relative;
    overflow:hidden;
}

.clock-display {
    font-family: 'Digital-7', monospace;
    font-size: 100px;
    font-weight: 500;
    letter-spacing: 10px;
    color: var(--green);
}

#acc-counter {
    display:inline-block;
    width:110px;
}

#acc-counter span {
    display:inline-block;
    width: 55px;
    text-align:right;
}

@media (min-width: 992px) {
    .acc-container {
        display:flex;
        justify-content:center;
        align-items:center;
        height:300px;
        margin-top:60px;
        margin-left:120px;
        position:relative;
    }
    .acc-box {
        position: absolute;
        left: calc(50% - 145px);
        transition: transform 0.7s cubic-bezier(0.25, 0.46, 0.45, 0.94), opacity 0.7s;
        transform: scale(0.9) translateZ(0);
        opacity: 0;
    }

    .acc-box h3 {
        font-size: 28px;
    }
    .acc-raw {
        top:5px;
        height: 220px;
        width: 220px;
        z-index:30;
    }
    .acc-raw h3, .acc-plus h3 {
        color:var(--white);
        margin:20px 0px 0px 20px;
    }
    .acc-raw h3 span {
        background: linear-gradient(90deg, #a6a6a6, #ffffff);
	    background-clip: text;
	    -webkit-text-fill-color: transparent;
    }
    .acc-std {
        height: 200px;
        width: 200px;
        z-index: 25;
        position: absolute;
        bottom: 10px;
    }
    .acc-std h3 {
        margin: 20px 0px 0px 20px;
    }
    .acc-pro {
        height: 140px;
        width: 140px;
        z-index: 20;
    }
    .acc-pro h3 {
        color:#6b1008;
        position:absolute;
        bottom:10px;
        right:15px;
    }
    .acc-inst {
        height: 200px;
        width: 200px;
        z-index: 25;
    }
    .acc-inst h3 {
        color:#6b1008;
        font-size:22px;
        position:absolute;
        bottom:10px;
        left:15px;
    }
    .acc-cent {
        height: 140px;
        width: 140px;
        z-index: 20;
    }
    .acc-cent h3 {
        position:absolute;
        bottom:10px;
        left:15px;
    }
    .acc-plus {
        height: 120px;
        width: 120px;
        z-index: 15;
    }
    .acc-container.acc-visible .acc-raw {
        transform: translateZ(20px) scale(1);
        opacity: 1;
        transition-delay: 0.3s;
    }
    .acc-container.acc-visible .acc-std {
        transform: translate(200px,-48px) rotate(10deg);
        transition-delay: 0.3s;
        opacity: 1;
    }
    .acc-container.acc-visible .acc-pro {
        transform: translate(350px,40px) rotate(15deg);
        transition-delay: 0.5s;
        opacity: 1;
    }
    .acc-container.acc-visible .acc-inst {
        transform: translate(-160px,-8px) rotate(-10deg);
        transition-delay: 0.3s;
        opacity: 1;
    }
    .acc-container.acc-visible .acc-cent {
        transform: translate(-260px,45px) rotate(-15deg);
        transition-delay: 0.5s;
        opacity: 1;
    }
    .acc-container.acc-visible .acc-plus {
        transform: translate(-340px,80px) rotate(-10deg);
        transition-delay: 0.7s;
        opacity: 1;
    }

    .blue-light::after {
        content: '';
        position: absolute;
        top: 50%;
        left: 0%; /* Start position: well off the left side */
        width: 20px; /* Width of the light bar */
        height: 20px;
        transform: translateY(-50%);
        background: radial-gradient( circle at center, #ffffff 0%, /* Solid white center */
        rgba(255, 255, 255, 0.5) 30%, /* Fading white */
        rgba(255, 255, 255, 0) 70% /* Transparent edge */
        );
        /* The core animation */
        animation: light-across 7s infinite linear;
    }

    @keyframes light-across {
        0% {
            transform: translate(0%, -50%) scale(0.5);
        }

        25% {
            transform: translate(calc(75px + 20px), -50%) scale(0.75);
        }

        50% {
            transform: translate(calc(150px + 20px), -50%) scale(1.5);
        }

        75% {
            transform: translate(calc(225px + 30px), -50%) scale(0.75);
        }

        100% {
            transform: translate(calc(300px + 40px), -50%) scale(0.5);
        }
    }
}

@media (min-width: 1300px) {
    .acc-container {
        height: 300px;
        margin-left: 80px;
    }

    .acc-box {
        left: calc(50% - 145px);
    }

    .acc-box h3 {
        font-size: 36px;
    }

    .acc-inst h3 {
        font-size: 32px;
    }

    .acc-raw {
        height: 290px;
        width: 290px;
    }

    .acc-std, .acc-inst {
        height: 270px;
        width: 270px;
    }

    .acc-pro, .acc-cent {
        height: 200px;
        width: 200px;
    }

    .acc-plus {
        height: 170px;
        width: 170px;
    }

    .acc-container.acc-visible .acc-raw {
        transform: translateZ(20px) scale(1);
        opacity: 1;
        transition-delay: 0.3s;
    }

    .acc-container.acc-visible .acc-std {
        transform: translate(270px,30px) rotate(10deg);
        transition-delay: 0.3s;
        opacity: 1;
    }

    .acc-container.acc-visible .acc-pro {
        transform: translate(480px,100px) rotate(15deg);
        transition-delay: 0.5s;
        opacity: 1;
    }

    .acc-container.acc-visible .acc-inst {
        transform: translate(-230px,30px) rotate(-10deg);
        transition-delay: 0.3s;
        opacity: 1;
    }

    .acc-container.acc-visible .acc-cent {
        transform: translate(-360px,90px) rotate(-15deg);
        transition-delay: 0.5s;
        opacity: 1;
    }

    .acc-container.acc-visible .acc-plus {
        transform: translate(-450px,140px) rotate(-10deg);
        transition-delay: 0.7s;
        opacity: 1;
    }

    @keyframes light-across {
        0% {
            transform: translate(0%, -50%) scale(0.5);
        }

        25% {
            transform: translate(calc(105px + 20px), -50%) scale(0.75);
        }

        50% {
            transform: translate(calc(210px + 20px), -50%) scale(1.5);
        }

        75% {
            transform: translate(calc(315px + 30px), -50%) scale(0.75);
        }

        100% {
            transform: translate(calc(420px + 40px), -50%) scale(0.5);
        }
    }
}

@media (min-width: 1500px) {
    .wh-lgt {
        width: 30%;
        left: 35%;
        top: 23%;
    }

    .acc-mat {
        left:18%;
    }

    @keyframes light-across {
        0% {
            transform: translate(0%, -50%) scale(0.5);
        }

        25% {
            transform: translate(calc(142px + 20px), -50%) scale(0.75);
        }

        50% {
            transform: translate(calc(285px + 20px), -50%) scale(1.5);
        }

        75% {
            transform: translate(calc(430px + 20px), -50%) scale(0.75);
        }

        100% {
            transform: translate(calc(570px + 40px), -50%) scale(0.5);
        }
    }
}

@media (max-width: 1299.98px) {
    .acc-mat {
        top: 15%;
        left: -2%;
    }

    .acc-sky-acc {
        top: 35%;
        left: 61%;
        width: 300px;
    }
}

@media (max-width: 991.98px) {
    .acc-container {
        display: flex;
        flex-wrap:wrap;
        justify-content: center;
        align-items: center;
        gap:20px;
    }

    .acc-box {
        width:200px;
        height:200px;
        display:flex;
        justify-content:center;
        align-items:center;
    }

    .acc-box h3 {
        font-size:32px;
    }

    .acc-inst h3 {
        font-size: 26px;
    }

    .acc-raw h3, .acc-plus h3 {
        color: var(--white);
    }

    .acc-inst h3, .acc-pro h3 {
        color: #6b1008;
    }

    .acc-h-text h1 {
        padding-top: 60px;
    }
}

@media (max-width: 575.98px) {
    .acc-box {
        width: 150px;
        height: 150px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .acc-box h3 {
        font-size:26px;
    }

    .acc-inst h3 {
        font-size: 20px;
    }
}